| BSL430.NET 1.3.4

Public Member Functions | Static Public Member Functions | Properties | List of all members
BSL430_NET.FirmwareTools.FwTools.Firmware Class Reference

Firmware object representation. Nodes is collection of FwNode (Addr + Data) and Info is FwInfo class. ToString, Equal and Euqality Operators (==, !=) overides are available. More...

## Public Member Functions
| Firmware (List< FwNode > Data, FwFormat Format, int SizeBuffer=0, long ResetVectorAddr=-1, ICollection< long > FilledFFAddr=null)
| Init Firmware with simple data Nodes and new FwInfo class based on valid input data. More...
| Firmware (Stream Data, FwFormat Format, long FirstAddress, int SizeBuffer=0, long ResetVectorAddr=-1, ICollection< long > FilledFFAddr=null)
| Init Firmware with raw memory stream bytes and new FwInfo class based on valid input data. More...
long? | SetResetVector (long ResetVectorAddr)
| Sets Reset Vector property to valid data, calculated from Nodes. ResetVectorAddr is usually 0xFFFE. More...
override string | ToString ()
| Formatted important properites describing current Firmware, taken from FwInfo class. More...
override bool | Equals (object value)
| True if two Firmwares are the same, meaning ale nodes (Address and Data) are the same, else false. Returns false if any or even if both Firmwares are null. More...
override int | GetHashCode ()
| Hash Code created by XORing Address and Data from all Nodes of Firmware. More...

## Static Public Member Functions
static bool | operator== (Firmware Fw1, Firmware Fw2)
| Equality operator for comparing two Firmwares via overiden Equals and so public Compare. Unlikely in Equals and also Compare, here two null Firmwares return True. More...
static bool | operator!= (Firmware Fw1, Firmware Fw2)
| Not Equality operator for comparing two Firmwares via overiden Equals and so public Compare. Unlikely in Equals, here two null Firmwares return True. More...

## Properties
FwInfo | Info`[get]`
| FwInfo provides info about firmware, like first and last addresses, CRC, code size and reset vector. More...
List< FwNode > | Nodes`[get]`
| List of FwNode, what firmware consits of, representated by single byte with max 32-bit, usually 16-bit address. More...
MemoryStream | MemoryStream`[get]`
| Memory Stream is sequence of raw bytes. More...
Stream | Stream`[get]`
| Stream is sequence of raw bytes. More...

## Detailed Description

Firmware object representation. Nodes is collection of FwNode (Addr + Data) and Info is FwInfo class. ToString, Equal and Euqality Operators (==, !=) overides are available.

## Constructor & Destructor Documentation

## ◆ Firmware() [1/2]

BSL430_NET.FirmwareTools.FwTools.Firmware.Firmware | ( | List< FwNode > | Data,
|  | FwFormat | Format,
|  | int | SizeBuffer = `0`,
|  | long | ResetVectorAddr = `-1`,
|  | ICollection< long > | FilledFFAddr = `null`
| ) |  |

Init Firmware with simple data Nodes and new FwInfo class based on valid input data.

## ◆ Firmware() [2/2]

BSL430_NET.FirmwareTools.FwTools.Firmware.Firmware | ( | Stream | Data,
|  | FwFormat | Format,
|  | long | FirstAddress,
|  | int | SizeBuffer = `0`,
|  | long | ResetVectorAddr = `-1`,
|  | ICollection< long > | FilledFFAddr = `null`
| ) |  |

Init Firmware with raw memory stream bytes and new FwInfo class based on valid input data.

## Member Function Documentation

## ◆ Equals()

override bool BSL430_NET.FirmwareTools.FwTools.Firmware.Equals | ( | object | value | ) |

True if two Firmwares are the same, meaning ale nodes (Address and Data) are the same, else false. Returns false if any or even if both Firmwares are null.

## ◆ GetHashCode()

override int BSL430_NET.FirmwareTools.FwTools.Firmware.GetHashCode | ( |  | ) |

Hash Code created by XORing Address and Data from all Nodes of Firmware.

## ◆ operator!=()

static bool BSL430_NET.FirmwareTools.FwTools.Firmware.operator!= | ( | Firmware | Fw1,
|  | Firmware | Fw2
| ) |  |
| static

Not Equality operator for comparing two Firmwares via overiden Equals and so public Compare. Unlikely in Equals, here two null Firmwares return True.

## ◆ operator==()

static bool BSL430_NET.FirmwareTools.FwTools.Firmware.operator== | ( | Firmware | Fw1,
|  | Firmware | Fw2
| ) |  |
| static

Equality operator for comparing two Firmwares via overiden Equals and so public Compare. Unlikely in Equals and also Compare, here two null Firmwares return True.

## ◆ SetResetVector()

long? BSL430_NET.FirmwareTools.FwTools.Firmware.SetResetVector | ( | long | ResetVectorAddr | ) |

Sets Reset Vector property to valid data, calculated from Nodes. ResetVectorAddr is usually 0xFFFE.

## ◆ ToString()

override string BSL430_NET.FirmwareTools.FwTools.Firmware.ToString | ( |  | ) |

Formatted important properites describing current Firmware, taken from FwInfo class.

## Property Documentation

## ◆ Info

FwInfo BSL430_NET.FirmwareTools.FwTools.Firmware.Info
| get

FwInfo provides info about firmware, like first and last addresses, CRC, code size and reset vector.

## ◆ MemoryStream

MemoryStream BSL430_NET.FirmwareTools.FwTools.Firmware.MemoryStream
| get

Memory Stream is sequence of raw bytes.

## ◆ Nodes

List<FwNode> BSL430_NET.FirmwareTools.FwTools.Firmware.Nodes
| get

List of FwNode, what firmware consits of, representated by single byte with max 32-bit, usually 16-bit address.

## ◆ Stream

Stream BSL430_NET.FirmwareTools.FwTools.Firmware.Stream
| get

Stream is sequence of raw bytes.

The documentation for this class was generated from the following file:

- D:/PROJECTS/C#/BSL430.NET/src/BSL430.NET.FirmwareTools/FwTools.cs